import TextRender from '../text/render.js'

export default class PasswordRender extends TextRender {
  
  constructor(__tfp, _dataModel, _level) {
  	super(__tfp, _dataModel, _level);
  }

  getAttrHtml() {
    var attrHtml = super.getAttrHtml();
    attrHtml = attrHtml.replace("type=\"text\"", "type=\"password\"");
    return attrHtml;
  }
}